import java.awt.Shape;
import java.awt.geom.GeneralPath;


/**
 * Ein Kleiderschrank, der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * Unterklasse der Klasse Schrank, daher werden Attribute und Methoden dieser Klasse übernommen.
 * 
 * @author Claus Albowski, modifiziert von Monika Seiffert und Hauke Morisse
 * @version  2 (30.10.2012)
 */

public class Kleiderschrank extends Schrank
{

  protected int seite;
  
  /**
   * Erzeuge einen neuen Kleiderschrank mit einer Standardfarbe und Standardgroesse
   * an einer Standardposition.
   */
  public Kleiderschrank()
  {
    xPosition = 100;
    yPosition = 50;
    orientierung = 0;
    farbe = "schwarz";
    istSichtbar = false;
    breite = 80;
    tiefe  = 40;
    seite = 10;
  }
  
  /**
   * Berechnet die zu zeichnende Figur anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      // definieren
      GeneralPath kleiderschrank = new GeneralPath();
      kleiderschrank.moveTo(0 , 0);
      kleiderschrank.lineTo(breite, 0);
      kleiderschrank.lineTo(breite, tiefe);
      kleiderschrank.lineTo(breite+seite, tiefe);
      kleiderschrank.lineTo(breite+seite, 0);
      kleiderschrank.lineTo(breite, 0);
      kleiderschrank.lineTo(0 , tiefe);
      kleiderschrank.lineTo(0, 0);
      kleiderschrank.lineTo(breite, tiefe);
      kleiderschrank.lineTo(-seite , tiefe);
      kleiderschrank.lineTo(-seite, 0);
      kleiderschrank.lineTo(0, 0);     
      
      return  transformiere(kleiderschrank);
  }
  
}